Skip to content

Profiles API

Get a push token

GEThttps://email.growthdept.ai/api/push-tokens/{id}

Rate limits

Burst: 10/s

Steady: 150/m

Tier M. See rate limits for how requests are counted.

Scopes

profiles:readpush-tokens:read

Operation id

get_push_token The same operation as in Klaviyo's API. OpenAPI document

Path parameters

stringrequired

Query parameters

array of strings

Attributes of profile resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Attributes of push-token resources to return.

Sparse fieldsets guide

Pick values to add them to the request:

array of strings

Related resources to side-load.

Includes guide

Pick values to add them to the request:

Headers

stringrequireddefault 2026-10-15

API revision, YYYY-MM-DD. This server implements 2026-10-15.

Revisions guide

Responses

200Success

Response body

object

  • dataobjectrequired

    data: 5 fields
    • typestringrequired

      push-token
    • idstringrequired

    • attributesobjectrequired

      attributes: 8 fields
      • createdstring (date-time)required

      • tokenstringrequired

      • enablement_statusstringrequired

        AUTHORIZEDDENIEDNOT_DETERMINEDPROVISIONALUNAUTHORIZED
      • platformstringrequired

        androidios
      • vendorstringrequired

      • backgroundstringrequired

      • recorded_datestringrequired

      • metadataobjectcan be null

        metadata: 12 fields
        • device_idstringcan be null

        • klaviyo_sdkstringcan be null

          androidflutterflutter_communityreact_nativeswift
        • sdk_versionstringcan be null

        • device_modelstringcan be null

        • os_namestringcan be null

          androidiosipadosmacostvos
        • os_versionstringcan be null

        • manufacturerstringcan be null

        • app_namestringcan be null

        • app_versionstringcan be null

        • app_buildstringcan be null

        • app_idstringcan be null

        • environmentstringcan be null

          debugrelease
    • relationshipsobject

      relationships: 1 field
      • profileobject

        profile: 2 fields
        • dataobject

          data: 2 fields
          • typestringrequired

            profile
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • includedarray of objects

    included: 5 fields
    • typestringrequired

      profile
    • idstringcan be null

    • attributesobjectrequired

      attributes: 14 fields
      • emailstringcan be null

      • phone_numberstringcan be null

      • external_idstringcan be null

      • first_namestringcan be null

      • last_namestringcan be null

      • organizationstringcan be null

      • localestringcan be null

      • titlestringcan be null

      • imagestringcan be null

      • createdstring (date-time)can be null

      • updatedstring (date-time)can be null

      • last_event_datestring (date-time)can be null

      • locationobjectcan be null

        location: 10 fields
        • address1stringcan be null

        • address2stringcan be null

        • citystringcan be null

        • countrystringcan be null

        • latitudeone ofcan be null

          One option: string

          No fields.

          One option: number

          No fields.

        • longitudeone ofcan be null

          One option: string

          No fields.

          One option: number

          No fields.

        • regionstringcan be null

        • zipstringcan be null

        • timezonestringcan be null

        • ipstringcan be null

      • propertiesobjectcan be null

    • relationshipsobject

      relationships: 3 fields
      • listsobject

        lists: 2 fields
        • dataarray of objects

          data: 2 fields
          • typestringrequired

            list
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

      • segmentsobject

        segments: 2 fields
        • dataarray of objects

          data: 2 fields
          • typestringrequired

            segment
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

      • push-tokensobject

        push-tokens: 2 fields
        • dataarray of objects

          data: 2 fields
          • typestringrequired

            push-token
          • idstringrequired

        • linksobject

          links: 2 fields
          • selfstring (uri)required

          • relatedstring (uri)required

    • linksobjectrequired

      links: 1 field
      • selfstring (uri)required

  • linksobject

    links: 1 field
    • selfstring (uri)required

  • metaobject

4XXClient error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject

See status codes for each code.

5XXServer error

Response body

object

  • errorsarray of objectsrequired

    errors: 8 fields
    • idstringrequired

    • statusintegerrequired

    • codestringrequired

    • titlestringrequired

    • detailstringrequired

    • sourceobject

      source: 2 fields
      • pointerstring

      • parameterstring

    • linksobject

    • metaobject